Skip to navigation

Flight track for flight leg

Returns the FlightAware actual path, planned path, and latest position for a flight leg; pass force_refresh=true to bypass the cache. | authz_personas=[driver_for_executor, coordinator_org_operators, executor_org_operators, order_executor_org_operators, shipper_org_operators] | () -> (FlightTrackRes)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

flight_leg_idstringRequired

Query parameters

force_refreshbooleanOptionalDefaults to false
Bypass the cache and fetch the latest flight track.

Response

Successful Response
actual_flight_pathlist of objectsOptional
fa_flight_idstringOptional
last_refresh_attempt_at_timestampdatetimeOptional
latest_positionobjectOptional
planned_flight_pathlist of objectsOptional

Errors

422
Flights Get Flight Track for Flight Leg V1request Unprocessable Entity Error